package cn.iocoder.yudao.module.system.service.biz;


import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.ElderlyInfoPageReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.biz.ElderlyInfoDO;
import cn.iocoder.yudao.module.system.dal.dataobject.biz.ElderlyPhotoDO;

import java.util.List;

/**
 * 长者相册 Service 接口
 *
 * @author 系统管理员
 */
public interface ElderlyPhotoService {


    void createPhotos(List<ElderlyPhotoDO> elderlyPhotoList);

    void updatePhotos(List<ElderlyPhotoDO> elderlyPhotoList);

    void deletePhoto(Long id);

    List<ElderlyPhotoDO> getPhoto(Long elderId, Integer type);

    PageResult<ElderlyInfoDO> findElderlyPhotoPage(ElderlyInfoPageReqVO pageVO);
}